Bug 233146 - graphics/tiff: update to 4.10.0
Summary: graphics/tiff: update to 4.10.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Port Management Team
URL: http://www.simplesystems.org/libtiff/...
Keywords: patch, security
Depends on:
Blocks:
 
Reported: 2018-11-11 21:06 UTC by Roger Leigh
Modified: 2018-11-17 22:07 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (portmgr)


Attachments
Patch (8.76 KB, patch)
2018-11-11 21:06 UTC, Roger Leigh
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Roger Leigh 2018-11-11 21:06:09 UTC
Created attachment 199147 [details]
Patch

New upstream release.  Patch attached for the basic version bump.  This is minimal, updating the version, dropping applied patches and updating the library soversion in the pkg-plist.

Note that this release includes support for the "zstd" and "webp" codecs.  The port could have options for enabling these codecs.

Also note that there is now also a cmake build as well as the autotools build; this could also be switched to.


Regards,
Roger
Comment 1 Roger Leigh 2018-11-12 19:17:10 UTC
I've tested this change with

echo sudo poudriere bulk -j 112-RELEASE -p rleigh-git -J 8 $(cat list)
sudo poudriere bulk -j 112-RELEASE -p rleigh-git -J 8 astro/siril astro/xplanet biology/protomol cad/freecad cad/sumo cad/varkon comms/hylafax comms/spandsp comms/xastir databases/grass7 devel/dcmtk devel/efl devel/kyra devel/love07 devel/p5-SDL devel/synfig editors/calligra editors/emacs-devel editors/emacs editors/ted games/0ad games/flightgear-terragear games/freeciv games/macopix games/xptools graphics/EZWGL graphics/GraphicsMagick graphics/ImageMagick6 graphics/ImageMagick7 graphics/R-cran-rtiff graphics/ampasCTL graphics/aqsis graphics/argyllcms graphics/atril graphics/autopano-sift-c graphics/ayam graphics/blender graphics/bmeps graphics/cimg graphics/cinepaint graphics/cloudcompare graphics/darktable graphics/delaboratory graphics/devil graphics/digikam-kde4 graphics/digikam graphics/djview4 graphics/djvulibre graphics/enblend graphics/evince graphics/exact-image graphics/gd graphics/gdal graphics/gdk-pixbuf graphics/gdk-pixbuf2 graphics/geeqie graphics/gegl graphics/gimp-app graphics/gle-graphics graphics/gmic graphics/gnome-color-manager graphics/grx graphics/gthumb graphics/hdr_tools graphics/hugin graphics/iccexamin graphics/ida graphics/iiview graphics/imlib2 graphics/kdegraphics-strigi-analyzer-kde4 graphics/krita graphics/largetifftools graphics/lcms graphics/lcms2 graphics/leptonica graphics/libafterimage graphics/libgaiagraphics graphics/libgeotiff graphics/libgfx graphics/libgxps graphics/libimg graphics/liblug graphics/libpano13 graphics/librasterlite graphics/librasterlite2 graphics/libreatlas graphics/lightzone graphics/lprof-devel graphics/luminance-qt5 graphics/luminance graphics/mapcache graphics/mapcache graphics/mapnik graphics/megapov graphics/mtpaint graphics/netpbm graphics/netpbm graphics/nomacs graphics/nvidia-texture-tools graphics/ocaml-images graphics/okular-kde4 graphics/okular graphics/opencv graphics/opendx graphics/openfx-io graphics/openimageio graphics/openjpeg graphics/openjpeg15 graphics/osg-devel graphics/osg graphics/p5-Imager graphics/pcl-pointclouds graphics/pfstools graphics/pixie graphics/podofo graphics/poppler graphics/povray36 graphics/povray37 graphics/povray37 graphics/povray37 graphics/py-pillow graphics/qslim graphics/qt4-imageformats graphics/qt5-imageformats graphics/raster3d graphics/rawtherapee graphics/sampleicc graphics/sane-backends graphics/scantailor graphics/sdl2_image graphics/sdl_image graphics/simpleviewer graphics/tif22pnm graphics/tiffgt graphics/tumble graphics/ufraw graphics/urt graphics/vigra graphics/vips graphics/vv graphics/webp graphics/xpaint graphics/xsane graphics/xv graphics/yafaray graphics/zgv lang/io math/R math/gnuplot math/reduce math/saga math/surf math/vtk5 math/vtk6 math/vtk8 misc/libsupertone misc/openmvg misc/wmweather+ multimedia/cinelerra-gg multimedia/fxtv multimedia/gmerlin-avdecoder multimedia/gmerlin multimedia/kodi multimedia/kodi multimedia/ogmrip net/asterisk13 net/asterisk15 net/asterisk16 net/freeswitch net/iaxmodem net/iipsrv print/cups-filters print/fontforge print/ghostscript8-base print/ghostscript9-agpl-base print/ghostscript9-base print/hp2xx print/panda print/photoprint print/pslib print/scribus-devel print/scribus science/InsightToolkit science/kst2 science/liggghts science/octopus science/openstructure science/paraview sysutils/tracker-miners textproc/libextractor www/links-hacked www/links x11-toolkits/fox14 x11-toolkits/fox16 x11-toolkits/fox17 x11-toolkits/gnustep-back x11-toolkits/gnustep-gui x11-toolkits/libgdiplus x11-toolkits/p5-Prima x11-toolkits/wxgtk28 x11-toolkits/wxgtk30 x11-toolkits/wxgtk31 x11-toolkits/xforms x11-wm/afterstep-stable x11-wm/libwraster x11-wm/windowmaker x11/dgs x11/eaglemode x11/xloadimage

All ports build, with the exception of science/paraview (checksum failure) and its dependent packages databases/grass7, math/vtk5 and graphics/qslim (not built).

So, all looks good.
Comment 2 commit-hook freebsd_committer 2018-11-17 20:44:55 UTC
A commit references this bug:

Author: antoine
Date: Sat Nov 17 20:44:03 UTC 2018
New revision: 485196
URL: https://svnweb.freebsd.org/changeset/ports/485196

Log:
  Update to 4.0.10

  PR:		233146
  Reported by:	Roger Leigh

Changes:
  head/graphics/tiff/Makefile
  head/graphics/tiff/distinfo
  head/graphics/tiff/files/patch-CVE-2017-18013
  head/graphics/tiff/files/patch-CVE-2017-9935
  head/graphics/tiff/files/patch-Makefile.in
  head/graphics/tiff/files/patch-tiffcrop.1
  head/graphics/tiff/pkg-plist